Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAlgorithm.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAlgorithm.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAlgorithm.cs	(revision 3376)
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ICrossover.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IDiscreteDoubleValueModifier.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IEvaluator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IManipulator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMigrator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveGenerator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveOperator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiMoveGenerator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSolutionsVisualizer.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSolutionsVisualizer.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IOptimizer.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 3376)
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IReducer.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IResult.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IResult.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IResult.cs	(revision 3376)
@@ -21,4 +21,5 @@
 
 using System;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IRun.cs	(revision 3376)
@@ -21,4 +21,5 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelfAdaptiveManipulator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveProblem.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveProblem.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveProblem.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionsVisualizer.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSolutionsVisualizer.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionCreator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionsVisualizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionsVisualizer.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISolutionsVisualizer.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStochasticOperator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCreator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterCrossover.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterManipulator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterOperator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterOperator.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IStrategyParameterOperator.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuChecker.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 3356)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ITabuMaker.cs	(revision 3376)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
